Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038533
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Modules] Advance Warehouse Operationsmajoralways2018-05-13 15:312018-08-07 11:12
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision18b6cd435561
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0038533: Verbosity Log should show information about original document and warehouse in the header

DescriptionVerbosity Log should show information about original document and warehouse in the header

It is very hard to filter the Verbosity Log without this information and, since it one of the first things calculated by the Central Broker, this information should be added as additional columns when available
Steps To ReproduceVerbosity Log should show information about original document and warehouse in the header

It is very hard to filter the Verbosity Log without this information and, since it one of the first things calculated by the Central Broker, this information should be added as additional columns when available
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0039492 closedvmromanos Batch Of Tasks Doc. No. label is wrong 

-  Notes
(0105999)
hgbot (developer)
2018-07-30 11:25

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 27e4849c6ce7c69e27107b2abb450237ac3f4ab3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 09:52:02 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/27e4849c6ce7c69e27107b2abb450237ac3f4ab3 [^]

Related to Issue 38533: Adds new columns to obawo_verbosity_log and obawo_batchoftasks tables

- Adds columns documentNumber, referencedInventory and warehouse to
  obawo_verbosity_log and obawo_batchoftasks table/window
- Adds nullable indexes on these columns in both tables
- Reorders columns in obawo_verbosity_log and obawo_batchoftasks
  windows

---
M src-db/database/model/tables/OBAWO_BATCHOFTASKS.xml
M src-db/database/model/tables/OBAWO_VERBOSITY_LOG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0106000)
hgbot (developer)
2018-07-30 11:25

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: eb45c44dd0a8c80ecf01e00bdffd4742babd8557
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 09:58:30 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/eb45c44dd0a8c80ecf01e00bdffd4742babd8557 [^]

Related to Issue 38533: Set documentNo and warehouse in verbosity log and batch of tasks

- Adds abstract method to get document number ANDwarehouse
  on InventoryTransactionTypeAlgorithm class.
- Modifies each InventoryTransactionTypeAlgorithm derived class to override
  these methods, and return the proper information.
- Set the document number, referenced inventory and warehouse in verbosity
  log and batch of tasks when log is flushed.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryTransactionTypeAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/Count_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/PickingSalesOrder_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/Picking_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/PutAwayMoveChangeStatusStorageDetail_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/ReceiptOrIssueOrder_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/verbosity/AWOVerbosityLogger.java
---
(0106001)
hgbot (developer)
2018-07-30 11:25

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: fd865b9ee4619d96359d01e8d0eeff92d364060e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 11:20:48 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/fd865b9ee4619d96359d01e8d0eeff92d364060e [^]

Related to Issue 38533. Extracted methods to improve redability

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
---
(0106002)
hgbot (developer)
2018-07-30 11:25

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: bae93e75adbb0a4e19e23bece3cbaec5767cfd14
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 11:21:40 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/bae93e75adbb0a4e19e23bece3cbaec5767cfd14 [^]

Related to Issue 38533: Gets documentNumber and warehouse information from itt algorithm

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/PickingDistributionOrderIssue_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/ReceiptOrIssueDistributionOrder_ITT.java
---
(0106003)
hgbot (developer)
2018-07-30 11:26

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 4df9d2c06348faa8487697a8d184f2284d6fe915
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 09:52:02 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/4df9d2c06348faa8487697a8d184f2284d6fe915 [^]

Related to Issue 38533: Adds new columns to obawo_verbosity_log and obawo_batchoftasks tables

- Adds columns documentNumber, referencedInventory and warehouse to
  obawo_verbosity_log and obawo_batchoftasks table/window
- Adds nullable indexes on these columns in both tables
- Reorders columns in obawo_verbosity_log and obawo_batchoftasks
  windows

---
M src-db/database/model/tables/OBAWO_BATCHOFTASKS.xml
M src-db/database/model/tables/OBAWO_VERBOSITY_LOG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0106004)
hgbot (developer)
2018-07-30 11:26

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 206c097f36eab36324c08a7f37bfab8d0125211a
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 09:58:30 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/206c097f36eab36324c08a7f37bfab8d0125211a [^]

Related to Issue 38533: Set documentNo and warehouse in verbosity log and batch of tasks

- Adds abstract method to get document number ANDwarehouse
  on InventoryTransactionTypeAlgorithm class.
- Modifies each InventoryTransactionTypeAlgorithm derived class to override
  these methods, and return the proper information.
- Set the document number, referenced inventory and warehouse in verbosity
  log and batch of tasks when log is flushed.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryTransactionTypeAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/Count_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/PickingSalesOrder_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/Picking_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/PutAwayMoveChangeStatusStorageDetail_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/ReceiptOrIssueOrder_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/verbosity/AWOVerbosityLogger.java
---
(0106005)
hgbot (developer)
2018-07-30 11:26

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: a75803452d042885216e52be78406e7d3b6a2128
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 11:20:48 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/a75803452d042885216e52be78406e7d3b6a2128 [^]

Related to Issue 38533. Extracted methods to improve redability

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
---
(0106006)
hgbot (developer)
2018-07-30 11:26

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 2fb68d05ceece076b24bf4fd298b82e28b858647
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 11:21:40 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/2fb68d05ceece076b24bf4fd298b82e28b858647 [^]

Related to Issue 38533: Gets documentNumber and warehouse information from itt algorithm

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/PickingDistributionOrderIssue_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/ReceiptOrIssueDistributionOrder_ITT.java
---
(0106007)
hgbot (developer)
2018-07-30 11:27

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: e8cdb03d2ac1620d0b2969ec2273fa37e7742de0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jul 27 14:03:09 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/e8cdb03d2ac1620d0b2969ec2273fa37e7742de0 [^]

Fixes Issue 38533: Gets documentNumber and warehouse information from itt algorithm

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/PickingDistributionOrderIssue_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/ittalgorithm/ReceiptOrIssueDistributionOrder_ITT.java
---
(0106008)
hgbot (developer)
2018-07-30 11:27

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: b70fadedf4b086bc4b9709159c7dc14272594c6a
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Fri Jul 27 14:02:10 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/b70fadedf4b086bc4b9709159c7dc14272594c6a [^]

Related to Issue 38533: Adds new columns to obawo_verbosity_log and obawo_batchoftasks tables

- Adds columns documentNumber, referencedInventory and warehouse to
  obawo_verbosity_log and obawo_batchoftasks table/window
- Adds nullable indexes on these columns in both tables
- Reorders columns in obawo_verbosity_log and obawo_batchoftasks
  windows

---
M src-db/database/model/tables/OBAWO_BATCHOFTASKS.xml
M src-db/database/model/tables/OBAWO_VERBOSITY_LOG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0106009)
hgbot (developer)
2018-07-30 11:27

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 18b6cd435561c40ebc05436ee188d19bcb29e648
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Fri Jul 27 14:02:40 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/18b6cd435561c40ebc05436ee188d19bcb29e648 [^]

Fixes Issue 38533: Set documentNo, refInventory and warehouse in verbosity log and batch of tasks

- Adds abstract method to get document number, referenced inventory and
  warehouse on InventoryTransactionTypeAlgorithm class.
- Modifies each InventoryTransactionTypeAlgorithm derived class to override
  these methods, and return the proper information.
- Set the document number, referenced inventory and warehouse in verbosity
  log and batch of tasks when log is flushed.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryTransactionTypeAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/Count_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/PickingSalesOrder_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/Picking_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/PutAwayMoveChangeStatusStorageDetail_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/ReceiptOrIssueOrder_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/ReceiptOrIssue_ITT.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/ittalgorithm/implementation/BoxPlannedStorageDetail_ITTAlgorithm.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/verbosity/AWOVerbosityLogger.java
---
(0106010)
hgbot (developer)
2018-07-30 11:27

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 81abd5a9fedec638fea26adb618880972338595e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jul 30 09:36:00 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/81abd5a9fedec638fea26adb618880972338595e [^]

Related to Issue 38533. Extracted methods to improve redability

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/BatchOfTasksGenerator.java
---
(0106011)
dmiguelez (developer)
2018-07-30 11:27

Code Review + Testing Ok
(0106171)
hgbot (developer)
2018-08-07 11:12

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.manufacturing
Changeset: 0f719684319f58cf4a43da42ddecaf596edb4547
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Aug 07 11:12:28 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.manufacturing/rev/0f719684319f58cf4a43da42ddecaf596edb4547 [^]

Related to issue 38533: API change for AWO manufacturing

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/manufacturing/ittalgorithm/PickingWorkEffort_ITT.java
---

- Issue History
Date Modified Username Field Change
2018-05-13 15:31 dmiguelez New Issue
2018-05-13 15:31 dmiguelez Assigned To => dmiguelez
2018-07-30 11:25 hgbot Checkin
2018-07-30 11:25 hgbot Note Added: 0105999
2018-07-30 11:25 hgbot Checkin
2018-07-30 11:25 hgbot Note Added: 0106000
2018-07-30 11:25 hgbot Checkin
2018-07-30 11:25 hgbot Note Added: 0106001
2018-07-30 11:25 hgbot Checkin
2018-07-30 11:25 hgbot Note Added: 0106002
2018-07-30 11:26 hgbot Checkin
2018-07-30 11:26 hgbot Note Added: 0106003
2018-07-30 11:26 hgbot Checkin
2018-07-30 11:26 hgbot Note Added: 0106004
2018-07-30 11:26 hgbot Checkin
2018-07-30 11:26 hgbot Note Added: 0106005
2018-07-30 11:26 hgbot Checkin
2018-07-30 11:26 hgbot Note Added: 0106006
2018-07-30 11:27 hgbot Checkin
2018-07-30 11:27 hgbot Note Added: 0106007
2018-07-30 11:27 hgbot Status new => resolved
2018-07-30 11:27 hgbot Resolution open => fixed
2018-07-30 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/e8cdb03d2ac1620d0b2969ec2273fa37e7742de0 [^]
2018-07-30 11:27 hgbot Checkin
2018-07-30 11:27 hgbot Note Added: 0106008
2018-07-30 11:27 hgbot Checkin
2018-07-30 11:27 hgbot Note Added: 0106009
2018-07-30 11:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/e8cdb03d2ac1620d0b2969ec2273fa37e7742de0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/18b6cd435561c40ebc05436ee188d19bcb29e648 [^]
2018-07-30 11:27 hgbot Checkin
2018-07-30 11:27 hgbot Note Added: 0106010
2018-07-30 11:27 dmiguelez Review Assigned To => dmiguelez
2018-07-30 11:27 dmiguelez Note Added: 0106011
2018-07-30 11:27 dmiguelez Status resolved => closed
2018-08-07 11:12 hgbot Checkin
2018-08-07 11:12 hgbot Note Added: 0106171
2018-10-19 14:53 vmromanos Relationship added causes 0039492


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker